From: =?utf-8?b?RnLDqWTDqXJpYyBCb25uYXJk?= <frediz@debian.org>
Date: Mon, 27 Jul 2020 12:03:15 +0200
Subject: Fix reproducibility issue

libdfp.a and libdfp-1.0.15.so contain full path to printf_dfp.c in the build directory.
-fdebug-prefix-map=OLD=NEW is used but it doesn't change anything.
Building with relative path to source dir does the job for now.
---
 Makefile.in | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/Makefile.in b/Makefile.in
index e5a4627..96d9bf5 100644
--- a/Makefile.in
+++ b/Makefile.in
@@ -126,9 +126,9 @@ makefile_dirs := $(foreach odir,$(sysdep_dirs), $(dir $(wildcard $(top_srcdir)/$
 
 # Like $makefile_dirs but add the $(top_srcdir) reference and strip out the redundant spaces.
 # This has to be = assigned.
-all_srcdirs = $(strip $(foreach dir,$(sysdep_dirs), $(top_srcdir)/$(dir))) \
-	      $(top_srcdir)/libdecnumber $(top_srcdir)/printf-hooks $(top_srcdir)/stdlib \
-	      $(top_srcdir)/decNumberMath $(top_srcdir)/ieee754r $(top_srcdir)/base-math $(top_srcdir)/ $(top_srcdir)/tests
+all_srcdirs = $(strip $(foreach dir,$(sysdep_dirs), @top_srcdir@/$(dir))) \
+	      @top_srcdir@/libdecnumber @top_srcdir@/printf-hooks @top_srcdir@/stdlib \
+	      @top_srcdir@/decNumberMath @top_srcdir@/ieee754r @top_srcdir@/base-math @top_srcdir@/ @top_srcdir@/tests
 
 backend_headers := libdecnumber
 
